/// <reference types="react" />
import { PureComponent } from 'react';
import { Theme } from './themes/themeBuilder';
export interface CodeProps {
    text: string;
    language?: string;
    theme?: Theme;
}
export default class Code extends PureComponent<CodeProps, {}> {
    static propTypes: {
        text: any;
        language: any;
        theme: any;
    };
    static defaultProps: {
        theme: {};
    };
    render(): JSX.Element;
}
