/// <reference types="react" />
import { PureComponent } from 'react';
import { Theme } from './themes/themeBuilder';
export interface CodeBlockProps {
    text: string;
    language?: string;
    showLineNumbers?: boolean;
    theme?: Theme;
}
export default class CodeBlock extends PureComponent<CodeBlockProps, {}> {
    static displayName: string;
    static propTypes: {
        text: any;
        language: any;
        showLineNumbers: any;
        theme: any;
    };
    static defaultProps: {
        showLineNumbers: boolean;
        language: string;
        theme: {};
    };
    handleCopy(event: any): void;
    render(): JSX.Element;
}
